export { Position } from './position.ts';
export type { ITestBase } from './runtime/test_base.ts';
export type { IFileIO, IRuntime, ITerminal, ITerminalSize } from './runtime.ts';

/**
 * Which Typescript runtime is currently being used
 */
export enum RunTimeType {
	Bun = 'bun',
	Deno = 'deno',
	Tsx = 'tsx',
	Unknown = 'unknown',
}

/**
 * The type of Syntax being highlighted
 */
export enum HighlightType {
	/** No highlighting */
	None,
	/** Number literals */
	Number,
	/** Search results */
	Match,
	/** Character literals */
	Character,
	/** String literals */
	String,
	/** Single line comments */
	SingleLineComment,
	/** Multi-line comments */
	MultiLineComment,
	/** Primary keywords */
	Keyword1,
	/** Secondary keywords */
	Keyword2,
	/** Math/logic operators */
	Operator,
}

/**
 * Which direction to search in the current document
 */
export enum SearchDirection {
	Forward = 1,
	Backward = -1,
}
